using NT.AltText.Models;

namespace NT.AltText.Repository.Interfaces  
{
    public interface IJobRepository
    {
        Task<IEnumerable<JobDetails>> GetAllJobsAsync();
        Task<JobDetails?> GetJobByIdAsync(int id);
        Task <int> AddJobAsync(JobDetails job);
        Task<JobDetails?> UpdateJobAsync(int id, JobDetails job);
        Task<bool> DeleteJobAsync(int id);
    }
}
